#!/bin/sh
# Install the symfontconfig symbol font, and fix font lists.
# Ian Hutchinson 2004.
# Place to install it:
FONTDIR=/usr/share/fonts/default/Type1/
# Probably should not edit below here.
########################################################################
echo If prompted, give the root password to permit installation.
if [ -f ${FONTDIR}symbol8859.pfa ] ; then
    echo You seem to have the symfontconfig fonts installed already. 
    read -p "Would you like to uninstall them? [y]es [n]o: " YESNO
    if [ $YESNO. = "y." ]; then
	su -c "rm ${FONTDIR}symbol8859.pfa ${FONTDIR}symbol8859.afm"
	exit
    fi
fi
su -c "cp symbol8859.pfa $FONTDIR; cp symbol8859.afm $FONTDIR"
if [ -f ${FONTDIR}symbol8859.pfa ] ; then
    echo Font files installed in $FONTDIR.
    fc-cache
else
    echo Font file installation failed. 
    echo Verify font directory, try again or copy files: symbol8859.* 
    echo by hand to somewhere in fontpath, and execute fc-cache.
fi
echo Now I will offer the chance to correct your browser font list.
su -c "./mathmlcss.sh"